org.keycloak.models.cache.infinispan.authorization.entities

## Class PolicyListQuery

- java.lang.Object
- - org.keycloak.models.cache.infinispan.entities.AbstractRevisioned
  - - org.keycloak.models.cache.infinispan.authorization.entities.PolicyListQuery

- All Implemented Interfaces:
    Serializable, CachedObject, InResourceServer, PolicyQuery, Revisioned
  Direct Known Subclasses:
    PolicyResourceListQuery, PolicyScopeListQuery

      public class PolicyListQuery
      extends AbstractRevisioned
      implements PolicyQuery

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PolicyListQuery(Long revision, String id, Set<String> policies, String serverId)`
    `PolicyListQuery(Long revision, String id, String policyId, String serverId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `getPolicies()`
    `String` | `getResourceServerId()`
    `boolean` | `isInvalid(Set<String> invalidations)`

    - ### Methods inherited from class org.keycloak.models.cache.infinispan.entities.AbstractRevisioned

      `getCacheTimestamp, getId, getRevision, setRevision`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.cache.infinispan.entities.Revisioned

      `getId, getRevision, setRevision`

- - ### Constructor Detail

    - #### PolicyListQuery

          public PolicyListQuery(Long revision,
                                 String id,
                                 String policyId,
                                 String serverId)

    - #### PolicyListQuery

          public PolicyListQuery(Long revision,
                                 String id,
                                 Set<String> policies,
                                 String serverId)

  - ### Method Detail

    - #### getResourceServerId

          public String getResourceServerId()

      Specified by:
        `getResourceServerId` in interface `InResourceServer`

    - #### getPolicies

          public Set<String> getPolicies()

      Specified by:
        `getPolicies` in interface `PolicyQuery`

    - #### isInvalid

          public boolean isInvalid(Set<String> invalidations)

      Specified by:
        `isInvalid` in interface `PolicyQuery`

Copyright © 2020 JBoss by Red Hat. All rights reserved.